## GgitRefSpec GgitRefSpec |

## Functions

GgitRefSpec * | ggit_ref_spec_ref ()
void | ggit_ref_spec_unref ()
const gchar * | ggit_ref_spec_get_source ()
const gchar * | ggit_ref_spec_get_destination ()
gboolean | ggit_ref_spec_is_forced ()

## Types and Values

| GgitRefSpec

## Object Hierarchy

        GBoxed
        ╰── GgitRefSpec

## Description

## Functions

### ggit_ref_spec_ref ()

    GgitRefSpec *
    ggit_ref_spec_ref (GgitRefSpec *refspec);

Atomically increments the reference count of `refspec` by one. This function is MT-safe and may be called from any thread.

#### Parameters

refspec | a GgitRefSpec. |

#### Returns

a GgitRefSpec.

### ggit_ref_spec_unref ()

    void
    ggit_ref_spec_unref (GgitRefSpec *refspec);

Atomically decrements the reference count of `refspec` by one. If the reference count drops to 0, `refspec` is freed.

#### Parameters

refspec | a GgitRefSpec. |

### ggit_ref_spec_get_source ()

    const gchar *
    ggit_ref_spec_get_source (GgitRefSpec *refspec);

Gets the `refspec` 's source.

#### Parameters

refspec | a GgitRefSpec. |

#### Returns

the refspec's source.

### ggit_ref_spec_get_destination ()

    const gchar *
    ggit_ref_spec_get_destination (GgitRefSpec *refspec);

Gets the `refspec` 's destination.

#### Parameters

refspec | a GgitRefSpec. |

#### Returns

the refspec's destination.

### ggit_ref_spec_is_forced ()

    gboolean
    ggit_ref_spec_is_forced (GgitRefSpec *refspec);

Whether updating is done forcefully.

#### Parameters

refspec | a GgitRefSpec. |

#### Returns

if updating is done forcefully.

## Types and Values

### GgitRefSpec

    typedef struct _GgitRefSpec GgitRefSpec;

Reprensents a git reference specification.